// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/BatteryManagementSystem.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace BatteryManagementSystem {

  /// <summary>Holder for reflection information generated from telemetry/BatteryManagementSystem.proto</summary>
  public static partial class BatteryManagementSystemReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/BatteryManagementSystem.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static BatteryManagementSystemReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cid0ZWxlbWV0cnkvQmF0dGVyeU1hbmFnZW1lbnRTeXN0ZW0ucHJvdG8SGWJh",
            "dHRlcnlfbWFuYWdlbWVudF9zeXN0ZW0aH2dvb2dsZS9wcm90b2J1Zi90aW1l",
            "c3RhbXAucHJvdG8igQMKF0JhdHRlcnlNYW5hZ2VtZW50U3lzdGVtEhwKD3N0",
            "YXRlX29mX2NoYXJnZRgBIAEoBUgAiAEBEhIKBXBvd2VyGAIgASgJSAGIAQES",
            "FAoHY3VycmVudBgDIAEoCUgCiAEBEhQKB3ZvbHRhZ2UYBCABKAlIA4gBARIZ",
            "Cgxtb2R1bGVfY291bnQYBSABKAlIBIgBARIYCgtjeWNsZV9jb3VudBgGIAEo",
            "CUgFiAEBEhUKCG1heF90ZW1wGAcgASgJSAaIAQESEwoGc3RhdHVzGAggASgJ",
            "SAeIAQESEgoFZXJyb3IYCSABKAlICIgBARIRCgRpbmZvGAogASgJSAmIAQFC",
            "EgoQX3N0YXRlX29mX2NoYXJnZUIICgZfcG93ZXJCCgoIX2N1cnJlbnRCCgoI",
            "X3ZvbHRhZ2VCDwoNX21vZHVsZV9jb3VudEIOCgxfY3ljbGVfY291bnRCCwoJ",
            "X21heF90ZW1wQgkKB19zdGF0dXNCCAoGX2Vycm9yQgcKBV9pbmZvQoMBChtj",
            "b20uY29kaWJseS5tb2RlbC50ZWxlbWV0cnlCHEJhdHRlcnlNYW5hZ2VtZW50",
            "U3lzdGVtUHJvdG/KAhtEb21haW5Nb2RlbFxQcm90b1xUZWxlbWV0cnniAidE",
            "b21haW5Nb2RlbFxQcm90b1xUZWxlbWV0cnlcR1BCTWV0YWRhdGFiBnByb3Rv",
            "Mw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::BatteryManagementSystem.BatteryManagementSystem), global::BatteryManagementSystem.BatteryManagementSystem.Parser, new[]{ "StateOfCharge", "Power", "Current", "Voltage", "ModuleCount", "CycleCount", "MaxTemp", "Status", "Error", "Info" }, new[]{ "StateOfCharge", "Power", "Current", "Voltage", "ModuleCount", "CycleCount", "MaxTemp", "Status", "Error", "Info" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class BatteryManagementSystem : pb::IMessage<BatteryManagementSystem>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<BatteryManagementSystem> _parser = new pb::MessageParser<BatteryManagementSystem>(() => new BatteryManagementSystem());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<BatteryManagementSystem> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::BatteryManagementSystem.BatteryManagementSystemReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public BatteryManagementSystem() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public BatteryManagementSystem(BatteryManagementSystem other) : this() {
      _hasBits0 = other._hasBits0;
      stateOfCharge_ = other.stateOfCharge_;
      power_ = other.power_;
      current_ = other.current_;
      voltage_ = other.voltage_;
      moduleCount_ = other.moduleCount_;
      cycleCount_ = other.cycleCount_;
      maxTemp_ = other.maxTemp_;
      status_ = other.status_;
      error_ = other.error_;
      info_ = other.info_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public BatteryManagementSystem Clone() {
      return new BatteryManagementSystem(this);
    }

    /// <summary>Field number for the "state_of_charge" field.</summary>
    public const int StateOfChargeFieldNumber = 1;
    private int stateOfCharge_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int StateOfCharge {
      get { if ((_hasBits0 & 1) != 0) { return stateOfCharge_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        stateOfCharge_ = value;
      }
    }
    /// <summary>Gets whether the "state_of_charge" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStateOfCharge {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "state_of_charge" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStateOfCharge() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "power" field.</summary>
    public const int PowerFieldNumber = 2;
    private string power_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Power {
      get { return power_ ?? ""; }
      set {
        power_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "power" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasPower {
      get { return power_ != null; }
    }
    /// <summary>Clears the value of the "power" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearPower() {
      power_ = null;
    }

    /// <summary>Field number for the "current" field.</summary>
    public const int CurrentFieldNumber = 3;
    private string current_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Current {
      get { return current_ ?? ""; }
      set {
        current_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "current" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCurrent {
      get { return current_ != null; }
    }
    /// <summary>Clears the value of the "current" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCurrent() {
      current_ = null;
    }

    /// <summary>Field number for the "voltage" field.</summary>
    public const int VoltageFieldNumber = 4;
    private string voltage_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Voltage {
      get { return voltage_ ?? ""; }
      set {
        voltage_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "voltage" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasVoltage {
      get { return voltage_ != null; }
    }
    /// <summary>Clears the value of the "voltage" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearVoltage() {
      voltage_ = null;
    }

    /// <summary>Field number for the "module_count" field.</summary>
    public const int ModuleCountFieldNumber = 5;
    private string moduleCount_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ModuleCount {
      get { return moduleCount_ ?? ""; }
      set {
        moduleCount_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "module_count" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasModuleCount {
      get { return moduleCount_ != null; }
    }
    /// <summary>Clears the value of the "module_count" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearModuleCount() {
      moduleCount_ = null;
    }

    /// <summary>Field number for the "cycle_count" field.</summary>
    public const int CycleCountFieldNumber = 6;
    private string cycleCount_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string CycleCount {
      get { return cycleCount_ ?? ""; }
      set {
        cycleCount_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "cycle_count" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCycleCount {
      get { return cycleCount_ != null; }
    }
    /// <summary>Clears the value of the "cycle_count" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCycleCount() {
      cycleCount_ = null;
    }

    /// <summary>Field number for the "max_temp" field.</summary>
    public const int MaxTempFieldNumber = 7;
    private string maxTemp_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string MaxTemp {
      get { return maxTemp_ ?? ""; }
      set {
        maxTemp_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "max_temp" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasMaxTemp {
      get { return maxTemp_ != null; }
    }
    /// <summary>Clears the value of the "max_temp" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearMaxTemp() {
      maxTemp_ = null;
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 8;
    private string status_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Status {
      get { return status_ ?? ""; }
      set {
        status_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "status" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStatus {
      get { return status_ != null; }
    }
    /// <summary>Clears the value of the "status" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStatus() {
      status_ = null;
    }

    /// <summary>Field number for the "error" field.</summary>
    public const int ErrorFieldNumber = 9;
    private string error_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Error {
      get { return error_ ?? ""; }
      set {
        error_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "error" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasError {
      get { return error_ != null; }
    }
    /// <summary>Clears the value of the "error" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearError() {
      error_ = null;
    }

    /// <summary>Field number for the "info" field.</summary>
    public const int InfoFieldNumber = 10;
    private string info_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Info {
      get { return info_ ?? ""; }
      set {
        info_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "info" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasInfo {
      get { return info_ != null; }
    }
    /// <summary>Clears the value of the "info" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearInfo() {
      info_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as BatteryManagementSystem);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(BatteryManagementSystem other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (StateOfCharge != other.StateOfCharge) return false;
      if (Power != other.Power) return false;
      if (Current != other.Current) return false;
      if (Voltage != other.Voltage) return false;
      if (ModuleCount != other.ModuleCount) return false;
      if (CycleCount != other.CycleCount) return false;
      if (MaxTemp != other.MaxTemp) return false;
      if (Status != other.Status) return false;
      if (Error != other.Error) return false;
      if (Info != other.Info) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasStateOfCharge) hash ^= StateOfCharge.GetHashCode();
      if (HasPower) hash ^= Power.GetHashCode();
      if (HasCurrent) hash ^= Current.GetHashCode();
      if (HasVoltage) hash ^= Voltage.GetHashCode();
      if (HasModuleCount) hash ^= ModuleCount.GetHashCode();
      if (HasCycleCount) hash ^= CycleCount.GetHashCode();
      if (HasMaxTemp) hash ^= MaxTemp.GetHashCode();
      if (HasStatus) hash ^= Status.GetHashCode();
      if (HasError) hash ^= Error.GetHashCode();
      if (HasInfo) hash ^= Info.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasStateOfCharge) {
        output.WriteRawTag(8);
        output.WriteInt32(StateOfCharge);
      }
      if (HasPower) {
        output.WriteRawTag(18);
        output.WriteString(Power);
      }
      if (HasCurrent) {
        output.WriteRawTag(26);
        output.WriteString(Current);
      }
      if (HasVoltage) {
        output.WriteRawTag(34);
        output.WriteString(Voltage);
      }
      if (HasModuleCount) {
        output.WriteRawTag(42);
        output.WriteString(ModuleCount);
      }
      if (HasCycleCount) {
        output.WriteRawTag(50);
        output.WriteString(CycleCount);
      }
      if (HasMaxTemp) {
        output.WriteRawTag(58);
        output.WriteString(MaxTemp);
      }
      if (HasStatus) {
        output.WriteRawTag(66);
        output.WriteString(Status);
      }
      if (HasError) {
        output.WriteRawTag(74);
        output.WriteString(Error);
      }
      if (HasInfo) {
        output.WriteRawTag(82);
        output.WriteString(Info);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasStateOfCharge) {
        output.WriteRawTag(8);
        output.WriteInt32(StateOfCharge);
      }
      if (HasPower) {
        output.WriteRawTag(18);
        output.WriteString(Power);
      }
      if (HasCurrent) {
        output.WriteRawTag(26);
        output.WriteString(Current);
      }
      if (HasVoltage) {
        output.WriteRawTag(34);
        output.WriteString(Voltage);
      }
      if (HasModuleCount) {
        output.WriteRawTag(42);
        output.WriteString(ModuleCount);
      }
      if (HasCycleCount) {
        output.WriteRawTag(50);
        output.WriteString(CycleCount);
      }
      if (HasMaxTemp) {
        output.WriteRawTag(58);
        output.WriteString(MaxTemp);
      }
      if (HasStatus) {
        output.WriteRawTag(66);
        output.WriteString(Status);
      }
      if (HasError) {
        output.WriteRawTag(74);
        output.WriteString(Error);
      }
      if (HasInfo) {
        output.WriteRawTag(82);
        output.WriteString(Info);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasStateOfCharge) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(StateOfCharge);
      }
      if (HasPower) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Power);
      }
      if (HasCurrent) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Current);
      }
      if (HasVoltage) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Voltage);
      }
      if (HasModuleCount) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ModuleCount);
      }
      if (HasCycleCount) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(CycleCount);
      }
      if (HasMaxTemp) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(MaxTemp);
      }
      if (HasStatus) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Status);
      }
      if (HasError) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Error);
      }
      if (HasInfo) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Info);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(BatteryManagementSystem other) {
      if (other == null) {
        return;
      }
      if (other.HasStateOfCharge) {
        StateOfCharge = other.StateOfCharge;
      }
      if (other.HasPower) {
        Power = other.Power;
      }
      if (other.HasCurrent) {
        Current = other.Current;
      }
      if (other.HasVoltage) {
        Voltage = other.Voltage;
      }
      if (other.HasModuleCount) {
        ModuleCount = other.ModuleCount;
      }
      if (other.HasCycleCount) {
        CycleCount = other.CycleCount;
      }
      if (other.HasMaxTemp) {
        MaxTemp = other.MaxTemp;
      }
      if (other.HasStatus) {
        Status = other.Status;
      }
      if (other.HasError) {
        Error = other.Error;
      }
      if (other.HasInfo) {
        Info = other.Info;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            StateOfCharge = input.ReadInt32();
            break;
          }
          case 18: {
            Power = input.ReadString();
            break;
          }
          case 26: {
            Current = input.ReadString();
            break;
          }
          case 34: {
            Voltage = input.ReadString();
            break;
          }
          case 42: {
            ModuleCount = input.ReadString();
            break;
          }
          case 50: {
            CycleCount = input.ReadString();
            break;
          }
          case 58: {
            MaxTemp = input.ReadString();
            break;
          }
          case 66: {
            Status = input.ReadString();
            break;
          }
          case 74: {
            Error = input.ReadString();
            break;
          }
          case 82: {
            Info = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            StateOfCharge = input.ReadInt32();
            break;
          }
          case 18: {
            Power = input.ReadString();
            break;
          }
          case 26: {
            Current = input.ReadString();
            break;
          }
          case 34: {
            Voltage = input.ReadString();
            break;
          }
          case 42: {
            ModuleCount = input.ReadString();
            break;
          }
          case 50: {
            CycleCount = input.ReadString();
            break;
          }
          case 58: {
            MaxTemp = input.ReadString();
            break;
          }
          case 66: {
            Status = input.ReadString();
            break;
          }
          case 74: {
            Error = input.ReadString();
            break;
          }
          case 82: {
            Info = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
